'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function exists(path) {
  return new Promise(function (resolve) {
    _fs2.default.exists(path, resolve);
  });
} /**
   * Created by leiyouwho on 6/14/16.
   */

function mkdir(path) {
  return new Promise(function (resolve, reject) {
    _fs2.default.mkdir(path, function (err) {
      return err ? reject(err) : resolve();
    });
  });
}

function writeFile(file, contents) {
  return new Promise(function (resolve, reject) {
    _fs2.default.writeFile(file, contents, 'utf8', function (err) {
      return err ? reject(err) : resolve();
    });
  });
}