/**
 * Created by leiyouwho on 6/29/16.
 */

export default function createAction(type) {
  const actionHandler = (...args) => {
    const hasError = args[0] instanceof Error;

    const action = {
      type,
    };

    const payload = hasError ? args[0] : ((t) => t)(...args);

    if (!(payload === null || payload === undefined)) {
      action.payload = payload;
    }

    if (hasError) {
      action.error = true;
    }
    return action;
  };
  actionHandler.toString = () => type;

  return actionHandler;
}
