'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * Created by leiyouwho on 6/29/16.
 */

var HandleAction = function () {
  function HandleAction(type) {
    _classCallCheck(this, HandleAction);

    this.type = type;
    this.requestCallBack = function (state) {
      return state.set('isFetching', true).set('errMsg', '');
    };
    this.successCallBack = function (state) {
      return state.set('isFetching', false).set('errMsg', '');
    };
    this.failureCallBack = function (state, action) {
      return state.set('isFetching', false).set('errMsg', action.errMsg);
    };
  }

  _createClass(HandleAction, [{
    key: 'request',
    value: function request(requestCallBack) {
      this.requestCallBack = requestCallBack;
      return this;
    }
  }, {
    key: 'success',
    value: function success(successCallBack) {
      this.successCallBack = successCallBack;
      return this;
    }
  }, {
    key: 'failure',
    value: function failure(failureCallBack) {
      this.failureCallBack = failureCallBack;
      return this;
    }
  }, {
    key: 'catch',
    value: function _catch(catchCallBack) {
      this.catchCallBack = catchCallBack;
      return this;
    }
  }]);

  return HandleAction;
}();

exports.default = HandleAction;
module.exports = exports['default'];