/**
 * Created by leiyouwho on 6/14/16.
 */

import fs from 'fs';

function exists(path) {
  return new Promise(resolve => {
    fs.exists(path, resolve);
  });
}

function mkdir(path) {
  return new Promise((resolve, reject) => {
    fs.mkdir(path, err => err ? reject(err) : resolve());
  });
}

function writeFile(file, contents) {
  return new Promise((resolve, reject) => {
    fs.writeFile(file, contents, 'utf8', err => err ? reject(err) : resolve());
  });
}