/**
 * Created by leiyouwho on 6/21/16.
 */


"use strict";

/**
 * Module dependencies.
 */

var child_process = require('child_process');

var cmd;
if (process.platform === 'win32') {
  cmd = 'start "%ProgramFiles%\Internet Explorer\iexplore.exe"';
} else if (process.platform === 'linux') {
  cmd = 'xdg-open';
} else if (process.platform === 'darwin') {
  cmd = 'open';
}

module.exports = function (uri) {
  child_process.exec(cmd + ' "' + uri + '"');
};